
<%
/************************************************************@@
  * Program Name	: top.jsp
  * Description		: /집계자/내문서함/등록함/문서 목록
  * Author				: 강원중
  * Create Date		: 2004.10.11
  * History				:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.moumi.Moumi" import="java.net.URLDecoder"
	import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.beans.user.User"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
try{
	/*********** User HttpSSOLogin check ***********/
	String connURL="location='/totsys/login/login.jsp';";
	if(!HttpSSOLogin.isLogin(request)){		
		out.println(ServletUtil.alert("작업시간이 종료되었습니다.\\n 다시로그인 하시기 바랍니다."));
		out.println(ServletUtil.getJavaScript(connURL));
		return;
	}

	/********** session내의 userId **********/
	String usID = HttpSSOLogin.getLoginID(request);
	String usName = HttpSSOLogin.getUserName(request);
	int sysAuth = HttpSSOLogin.getSysAuth(request);
	
	if(usID == null){
		out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
	}

	if(sysAuth != Moumi.REPOADM){
		connURL="history.go(-1);";
		out.println(ServletUtil.alert("보고관리 권한이 없습니다.\\n확인하시고 다시 시도해주세요."));
		out.println(ServletUtil.getJavaScript(connURL));
		return;
	}
	////////////////////////////////////////////// login session value end //////////////////////////////////////////////

	/****** Parameter ******/
	String dirPath = "";
	dirPath = URLDecoder.decode(clearXSS(request.getParameter("dirPath"),""), "UTF-8");		
	%>

<!--- top  start ---->
<tr>
	<td nowrap width="75"
		background="/totsys/common/inc/repoadm/top/images/top_bg.jpg">&nbsp;</td>
	<td height="70"
		background="/totsys/common/inc/repoadm/top/images/top_bg.jpg">
	<table width="100%" height="70" border=0 cellpadding=0 cellspacing=0>
		<tr>
			<!-- 로고 -->
			<td width="202" height="70"><a href="/totsys/repoadm/main.jsp"><img
				src="/totsys/logo/top_logo_repoadm.jpg" border="0" width=202
				height=70></a></td>
			<td width="65" height="70"><a
				href="/totsys/repoadm/acceptbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_acceptbox','','/totsys/common/inc/repoadm/top/images/top_acceptbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_acceptbox.jpg"
				name="top_acceptbox" width="65" height="70"></a></td>
			<td width="65" height="70"><a
				href="/totsys/repoadm/returnbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_returnbox','','/totsys/common/inc/repoadm/top/images/top_returnbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_returnbox.jpg"
				name="top_returnbox" width="65" height="70"></a></td>
			<%if(Moumi.getUseAssign()){%>
			<td width="65" height="70"><a
				href="/totsys/repoadm/assignbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_assignbox','','/totsys/common/inc/repoadm/top/images/top_assignbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_assignbox.jpg"
				name="top_assignbox" width="65" height="70"></a></td>
			<%}%>

			<%if(Moumi.getUseRecog()){%>
			<td width="65"><a
				href="/totsys/repoadm/recogbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_recogbox','','/totsys/common/inc/repoadm/top/images/top_recogbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_recogbox.jpg"
				name="top_recogbox" width="65" height="70"></a></td>
			<%}else{%>
			<td width="65"><a
				href="/totsys/repoadm/recogbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_tempbox','','/totsys/common/inc/repoadm/top/images/top_tempbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_tempbox.jpg"
				name="top_tempbox" width="74" height="70"></a></td>
			<%}%>
			<td width="65"><a href="/totsys/repoadm/compbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_compbox','','/totsys/common/inc/repoadm/top/images/top_compbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_compbox.jpg"
				name="top_compbox" width="74" height="70"></a></td>
			<td width="65"><a href="/totsys/repoadm/endbox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_endbox','','/totsys/common/inc/repoadm/top/images/top_endbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_endbox.jpg"
				name="top_endbox" width="65" height="70"></a></td>
			<!--td width="65"><a href="/totsys/repoadm/readbox/report_list.jsp" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('top_seebox','','/totsys/common/inc/repoadm/top/images/top_seebox-over.jpg',1)"><img src="/totsys/common/inc/repoadm/top/images/top_seebox.jpg" name="top_seebox" width="65" height="70"></a></td-->
			<td width="65"><a
				href="/totsys/repoadm/canclebox/report_list.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_cancelbox','','/totsys/common/inc/repoadm/top/images/top_cancelbox-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_cancelbox.jpg"
				name="top_cancelbox" width="65" height="70"></a></td>
			<td width="65"><a
				href="/totsys/login/envsetting/user_info_modify.jsp"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_setup','','/totsys/common/inc/repoadm/top/images/top_setup-over.jpg',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_setup.jpg"
				name="top_setup" width="65" height="70"></a></td>
			<td>&nbsp;</td>
			<td width="99" valign="top" style="padding-top: 7;">&nbsp;</td>
			<td width="51" valign="top" style="padding-top: 7;"><a href="#"
				onMouseOut="MM_swapImgRestore()"
				onMouseOver="MM_swapImage('top_logout','','/totsys/common/inc/repoadm/top/images/top_logout-over.gif',1)"><img
				src="/totsys/common/inc/repoadm/top/images/top_logout.gif"
				name="top_logout" width="75" height="23"
				onclick="javascript:location.replace('/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout');"></a></td>
		</tr>
	</table>
	</td>
	<td nowrap width="75"
		background="/totsys/common/inc/repoadm/top/images/top_bg.jpg">&nbsp;</td>
</tr>
<tr>
	<td height="24"
		background="/totsys/common/inc/repoadm/top/images/location_bg.gif">&nbsp;</td>
	<td>
	<table width="100%" height="24" border="0" cellpadding="0"
		cellspacing="0">
		<tr>
			<td width="12"
				background="/totsys/common/inc/repoadm/top/images/location_bg.gif">&nbsp;</td>
			<td width="88"><img
				src="/totsys/common/inc/repoadm/top/images/location.jpg" width=88
				height=24></td>


			<!---- 현재위치 ---->
			<td
				background="/totsys/common/inc/repoadm/top/images/location_bg.gif"
				style="padding-top: 3" class="dll_green"><%= dirPath %></td>


			<!---- 로그인 정보 ---->
			<td align="right" valign="middle"
				background="/totsys/common/inc/repoadm/top/images/location_bg.gif"
				class="d11_gray" style="padding-top: 3"><img
				src="/totsys/common/inc/repoadm/top/images/hart.jpg" width=18
				height=20 align="absmiddle"><%= usName + "("+usID+")"%>님 로그인
			하셨습니다.</td>
			<td width="12" valign="middle"
				background="/totsys/common/inc/repoadm/top/images/location_bg.gif"
				class="d11_gray" style="padding-top: 3">&nbsp;</td>
		</tr>
	</table>
	</td>
	<td background="/totsys/common/inc/repoadm/top/images/location_bg.gif">&nbsp;</td>
	<!--- top  end ---->
</tr>
<%
}catch(Exception ex){ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{	
}
%>
